Bug 216001 - kernel-smp-2.6.18-1.2239.fc5 oops
kernel-smp-2.6.18-1.2239.fc5 oops
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
: 214217 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 14:18 EST by Dick Marinus
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.20-1.2300.fc5smp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:30:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel_oops.txt (4.66 KB, text/plain)
2006-11-16 14:18 EST, Dick Marinus
no flags Details
lsmod-dm (1.80 KB, text/plain)
2006-11-21 16:23 EST, Dick Marinus
no flags Details

  None (edit)
Description Dick Marinus 2006-11-16 14:18:55 EST
Description of problem:


Version-Release number of selected component (if applicable):
kernel-smp-2.6.18-1.2239.fc5

How reproducible:
I think only with the same hardware

Steps to Reproduce:
- Have heavy diskload (happened during backup)
  
Actual results:
- Machine froze with oops

Additional info:
No special kernel modules, only fedora base software. After a downgrade to the
original kernel the oops is gone.
Comment 1 Dick Marinus 2006-11-16 14:18:55 EST
Created attachment 141403 [details]
kernel_oops.txt
Comment 2 Dan Carpenter 2006-11-17 05:32:05 EST
Hm...  Which was the original kernel?  How reproduceable was this with the new
kernel?

Comment 3 Dan Carpenter 2006-11-17 07:18:19 EST
I've been trying to think how this could lead to a list_del bug...
http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=7f6b8876c7e66b0d15af134e2a5b87e55514eb6d

It's pretty amazing that that bug didn't cause more problems, because it means
some per cpu variables are uninitialized and the other per cpu variables get
rewritten with bogus data.

Comment 4 Dick Marinus 2006-11-17 08:45:06 EST
The original kernel is packaged in kernel-smp-2.6.17-1.2174_FC5, the problem
happened two times in a row and it stopped after the kernel downgrade...
Comment 5 Dave Jones 2006-11-20 17:47:19 EST
just before that message in your logs, there should be something like..

list_del corruption. prev->next should be ...

can you paste that here ?

I'll merge up the fix Dan pointed to in the next update, as it's clearly a
bugfix, but I'm not 100% convinced it's for this bug yet.
Comment 6 Dick Marinus 2006-11-21 15:21:37 EST
sure!

list_del corruption. prev->next should be f47fb640, but was 8094e480
Comment 7 Dave Jones 2006-11-21 16:11:55 EST
can you see if you can repeat it with the work in progress kernel update at:

http://people.redhat.com/davej/kernels/Fedora/FC6/
Comment 8 Dave Jones 2006-11-21 16:12:52 EST
sorry, make that http://people.redhat.com/davej/kernels/Fedora/FC5/
Comment 9 Dan Carpenter 2006-11-21 16:15:14 EST
Bug 214217 is the same as this.  They're doing backups too.  Possibly a driver
issue after all.
Comment 10 Dick Marinus 2006-11-21 16:23:56 EST
Created attachment 141831 [details]
lsmod-dm
Comment 11 Dave Jones 2006-11-21 16:40:00 EST
*** Bug 214217 has been marked as a duplicate of this bug. ***
Comment 12 Curt Fiene 2006-11-22 10:31:48 EST
(In reply to comment #9)
> Bug 214217 is the same as this.  They're doing backups too.  Possibly a driver
> issue after all.
> 
 Here is my dmsg and lsmod for that system (note I rolled back to 2.6.17-1.2187)
to avoid crash.  System has 2 ide drives and 8 SCSI (2-4 drive raid5), 2 scsi cards.

Linux version 2.6.17-1.2187_FC5smp (brewbuilder@hs20-bc2-2.build.redhat.com)
(gcc version 4.1.1 20060525 (Red Hat 4.1.1
-1)) #1 SMP Mon Sep 11 01:32:34 EDT 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000020000000 (usable)
 BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
512MB LOWMEM available.
found SMP MP-table at 000f4c20
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 131072
  DMA zone: 4096 pages, LIFO batch:0
  Normal zone: 126976 pages, LIFO batch:31
DMI 2.2 present.
Using APIC driver default
ACPI: Unable to locate RSDP
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: OEM00000 Product ID: PROD00000000 APIC at: 0xFEE00000
Processor #0 6:8 APIC version 17
Processor #1 6:8 APIC version 17
I/O APIC #2 Version 17 at 0xFEC00000.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
Processors: 2
Allocating PCI resources starting at 30000000 (gap: 20000000:dec00000)
Built 1 zonelists
Kernel command line: ro root=/dev/hda2
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c07ae000 soft=c078e000
PID hash table entries: 4096 (order: 12, 16384 bytes)
Detected 1002.400 MHz processor.
Using tsc for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Memory: 513696k/524288k available (2154k kernel code, 9996k reserved, 1200k
data, 244k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 2007.59 BogoMIPS (lpj=4015186)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 0387fbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 0387fbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
CPU serial number disabled.
CPU: After all inits, caps: 0383f3ff 00000000 00000000 00000040 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
CPU0: Intel Pentium III (Coppermine) stepping 0a
SMP alternatives: switching to SMP code
Booting processor 1/1 eip 3000
CPU 1 irqstacks, hard=c07af000 soft=c078f000
Initializing CPU#1
Calibrating delay using timer specific routine.. 2004.72 BogoMIPS (lpj=4009455)
CPU: After generic identify, caps: 0387fbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 0387fbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
CPU serial number disabled.
CPU: After all inits, caps: 0383f3ff 00000000 00000000 00000040 00000000
00000000 Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
CPU1: Intel Pentium III (Coppermine) stepping 0a
Total of 2 processors activated (4012.32 BogoMIPS).
ExtINT not setup in hardware but reported by MP table
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=0 pin2=0
checking TSC synchronization across 2 CPUs: passed.
Brought up 2 CPUs
migration_cost=1967
checking if image is initramfs... it is
Freeing initrd memory: 1027k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfb160, last bus=2
Setting up standard PCI resources
mtrr: your CPUs had inconsistent fixed MTRR settings
mtrr: probably your BIOS does not setup all CPUs.
mtrr: corrected configuration.
ACPI: Subsystem revision 20060127
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI: disabled
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
PCI quirk: region 0400-047f claimed by ICH4 ACPI/GPIO/TCO
PCI quirk: region 0480-04bf claimed by ICH4 GPIO
Boot video device is 0000:02:09.0
PCI: Transparent bridge - 0000:00:1e.0
PCI: Using IRQ router PIIX/ICH [8086/2440] at 0000:00:1f.0
PCI->APIC IRQ transform: 0000:00:1f.3[B] -> IRQ 137
PCI->APIC IRQ transform: 0000:02:04.0[A] -> IRQ 129
PCI->APIC IRQ transform: 0000:02:05.0[A] -> IRQ 137
PCI->APIC IRQ transform: 0000:02:06.0[A] -> IRQ 145
PCI->APIC IRQ transform: 0000:02:07.0[A] -> IRQ 15300000000
PCI->APIC IRQ transform: 0000:02:0a.0[A] -> IRQ 137
PCI: Bridge: 0000:00:01.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1e.0
  IO window: a000-cfff
  MEM window: e4000000-e6ffffff
  PREFETCH window: 30000000-300fffff
PCI: Setting latency timer of device 0000:00:1e.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 16384 (order: 4, 65536 bytes)
TCP established hash table entries: 65536 (order: 8, 1310720 bytes)
TCP bind hash table entries: 32768 (order: 7, 655360 bytes)
TCP: Hash tables configured (established 65536 bind 32768)
TCP reno registered
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
apm: disabled - APM is not SMP safe.
audit: initializing netlink socket (disabled)
audit(1162753071.964:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 9E8FFDD49649098E
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel i815 Chipset.
agpgart: AGP aperture is 64M @ 0xe0000000
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH2: IDE controller at PCI slot 0000:00:1f.1
ICH2: chipset revision 2
ICH2: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: ST3160021A, ATA DISK drive
hdb: ST3160021A, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: MATSHITADVD-RAM LF-D311, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
PDC20265: IDE controller at PCI slot 0000:02:0a.0
PDC20265: chipset revision 2
PDC20265: ROM enabled at 0x300a0000
PDC20265: 100% native mode on irq 137
PDC20265: (U)DMA Burst Bit ENABLED Primary MASTER Mode Secondary MASTER Mode.
    ide2: BM-DMA at 0xc400-0xc407, BIOS settings: hde:pio, hdf:DMA
    ide3: BM-DMA at 0xc408-0xc40f, BIOS settings: hdg:pio, hdh:pio
Probing IDE interface ide2...
Probing IDE interface ide3...
Probing IDE interface ide2...
Probing IDE interface ide3...
hda: max request size: 512KiB
hda: 312581808 sectors (160041 MB) w/2048KiB Cache, CHS=19457/255/63, UDMA(100)
hda: cach hda: hda1 hda2 hda3 hda4 < hda5 hda6 >
hdb: max request size: 512KiB
hdb: 312581808 sectors (160041 MB) w/2048KiB Cache, CHS=19457/255/63, UDMA(100)
hdb: cache flushes supported
 hdb: hdb1 hdb2 hdb3 hdb4 < hdb5 hdb6 >
hdc: ATAPI DVD-ROM DVD-R-RAM drive, 1024kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: No PS/2 controller found. Probing ports directly.
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI No-Shortcut mode
Freeing unused kernel memory: 244k freed
Write protecting the kernel read-only data: 723k
input: AT Translated Set 2 keyboard as /class/input/input0
logips2pp: Detected unknown logitech mouse model 1
input: ImPS/2 Logitech Wheel Mouse as /class/input/input1
SCSI subsystem initialized
scsi: ***** BusLogic SCSI Driver Version 2.1.16 of 18 July 2002 *****
scsi: Copyright 1995-1998 by Leonard N. Zubkoff <lnz@dandelion.com>
scsi0: Configuring BusLogic Model BT-950 PCI Wide Ultra SCSI Host Adapter
scsi0:   Firmware Version: 5.02, I/O Address: 0xA000, IRQ Channel: 129/Level
scsi0:   PCI Bus: 2, Device: 4, Address: 0xE6022000, Host Adapter SCSI ID: 7
scsi0:   Parity Checking: Enabled, Extended Translation: Enabled
scsi0:   Synchronous Negotiation: SFFFFUF#UFUUUUUU, Wide Negotiation: Enabled
scsi0:   Disconnect/Reconnect: YYYYNYY#NNYYYYYY, Tagged Queuing: YYYYNYY#NNYYYYYY
scsi0:   Driver Queue Depth: 255, Scatter/Gather Limit: 128 segments
scsi0:   Tagged Queue Depth: Automatic, Untagged Queue Depth: 3
scsi0:   SCSI Bus Termination: Both Enabled, SCAM: Disabled
scsi0: *** BusLogic BT-950 Initialized Successfully ***
scsi0 : BusLogic BT-950
  Vendor: SEAGATE   Model: SX4234514         Rev: 9E21
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 45322644 512-byte hdwr sectors (23205 MB)
sda: Write Protect is off
sda: Mode Sense: b9 00 10 08
SCSI device sda: drive cache: write through w/ FUA
SCSI device sda: 45322644 512-byte hdwr sectors (23205 MB)
sda: Write Protect is off
sda: Mode Sense: b9 00 10 08
SCSI device sda: drive cache: write through w/ FUA
 sda: sda1
sd 0:0:1:0: Attached scsi disk sda
  Vendor: SEAGATE   Model: SX423451W         Rev: 9E13
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdb: 45322644 512-byte hdwr sectors (23205 MB)
sdb: Write Protect is off
sdb: Mode Sense: b9 00 10 08
SCSI device sdb: drive cache: write through w/ FUA
SCSI device sdb: 45322644 512-byte hdwr sectors (23205 MB)
sdb: Write Protect is off
sdb: Mode Sense: b9 00 10 08
SCSI device sdb: drive cache: write through w/ FUA
 sdb: sdb1
sd 0:0:2:0: Attached scsi disk sdb
  Vendor: SEAGATE   Model: SX4234514         Rev: 9E18
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdc: 45322644 512-byte hdwr sectors (23205 MB)
sdc: Write Protect is off
sdc: Mode Sense: b9 00 10 08
SCSI device sdc: drive cache: write through w/ FUA
SCSI device sdc: 45322644 512-byte hdwr sectors (23205 MB)
sdc: Write Protect is off
sdc: Mode Sense: b9 00 10 08
SCSI device sdc: drive cache: write through w/ FUA
 sdc: sdc1
sd 0:0:3:0: Attached scsi disk sdc
  Vendor: SEAGATE   Model: SX4234514         Rev: 9E21
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdd: 45322644 512-byte hdwr sectors (23205 MB)
sdd: Write Protect is off
sdd: Mode Sense: b9 00 10 08
SCSI device sdd: drive cache: write through w/ FUA
SCSI device sdd: 45322644 512-byte hdwr sectors (23205 MB)
sdd: Write Protect is off
sdd: Mode Sense: b9 00 10 08
SCSI device sdd: drive cache: write through w/ FUA
 sdd: sdd1
sd 0:0:4:0: Attached scsi disk sdd
scsi1: Configuring BusLogic Model BT-958 PCI Wide Ultra SCSI Host Adapter
scsi1:   Firmware Version: 5.07B, I/O Address: 0xAC00, IRQ Channel: 153/Level
scsi1:   PCI Bus: 2, Device: 7, Address: 0xE6021000, Host Adapter SCSI ID: 0
scsi1:   Parity Checking: Enabled, Extended Translation: Enabled
scsi1:   Synchronous Negotiation: #SUUUFNNFFFFNNNN, Wide Negotiation:
#YYYYYNNYYYYNNNN
scsi1:   Disconnect/Reconnect: #YYYYYYYNNNYYYYY, Tagged Queuing: #YYYYYYYNNNYYYYY
scsi1:   Scatter/Gather Limit: 128 of 8192 segments, Mailboxes: 211
scsi1:   Driver Queue Depth: 211, Host Adapter Queue Depth: 192
scsi1:   Tagged Queue Depth: Automatic, Untagged Queue Depth: 3
scsi1:   SCSI Bus Termination: Both Enabled, SCAM: Disabled
scsi1: *** BusLogic BT-958 Initialized Successfully ***
scsi1 : BusLogic BT-958
  Vendor: SEAGATE   Model: SX4464524         Rev: B410
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sde: 91923356 512-byte hdwr sectors (47065 MB)
sde: Write Protect is off
sde: Mode Sense: cb 00 10 08
SCSI device sde: drive cache: write through w/ FUA
SCSI device sde: 91923356 512-byte hdwr sectors (47065 MB)
sde: Write Protect is off
sde: Mode Sense: cb 00 10 08
SCSI device sde: drive cache: write through w/ FUA
 sde: sde1
sd 1:0:8:0: Attached scsi disk sde
  Vendor: SEAGATE   Model: SX4464524         Rev: B410
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdf: 91923356 512-byte hdwr sectors (47065 MB)
sdf: Write Protect is off
sdf: Mode Sense: cb 00 10 08
SCSI device sdf: drive cache: write through w/ FUA
SCSI device sdf: 91923356 512-byte hdwr sectors (47065 MB)
sdf: Write Protect is off
sdf: Mode Sense: cb 00 10 08
SCSI device sdf: drive cache: write through w/ FUA
 sdf: sdf1
sd 1:0:9:0: Attached scsi disk sdf
  Vendor: SEAGATE   Model: SX4464524         Rev: B410
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdg: 91923356 512-byte hdwr sectors (47065 MB)
sdg: Write Protect is off
sdg: Mode Sense: cb 00 10 08
SCSI device sdg: drive cache: write through w/ FUA
SCSI device sdg: 91923356 512-byte hdwr sectors (47065 MB)
sdg: Write Protect is off
sdg: Mode Sense: cb 00 10 08
SCSI device sdg: drive cache: write through w/ FUA
 sdg: sdg1
sd 1:0:10:0: Attached scsi disk sdg
  Vendor: SEAGATE   Model: SX4464524         Rev: B410
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdh: 91923356 512-byte hdwr sectors (47065 MB)
sdh: Write Protect is off
sdh: Mode Sense: cb 00 10 08
SCSI device sdh: drive cache: write through w/ FUA
SCSI device sdh: 91923356 512-byte hdwr sectors (47065 MB)
sdh: Write Protect is off
sdh: Mode Sense: cb 00 10 08
SCSI device sdh: drive cache: write through w/ FUA
 sdh: sdh1
sd 1:0:11:0: Attached scsi disk sdh
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
hw_random: RNG not detected
Linux Tulip driver version 1.1.13 (May 11, 2002)
tulip0:  MII transceiver #1 config 3000 status 7829 advertising 01e1.
eth0: Lite-On 82c168 PNIC rev 32 at e081a000, 00:A0:CC:62:4C:CF, IRQ 137.
tulip1:  MII transceiver #1 config 1000 status 782d advertising 01e1.
eth1: Lite-On 82c168 PNIC rev 33 at e08ae000, 00:A0:CC:50:4D:AE, IRQ 145.
sd 0:0:1:0: Attached scsi generic sg0 type 0
sd 0:0:2:0: Attached scsi generic sg1 type 0
sd 0:0:3:0: Attached scsi generic sg2 type 0
sd 0:0:4:0: Attached scsi generic sg3 type 0
sd 1:0:8:0: Attached scsi generic sg4 type 0
sd 1:0:9:0: Attached scsi generic sg5 type 0
sd 1:0:10:0: Attached scsi generic sg6 type 0
sd 1:0:11:0: Attached scsi generic sg7 type 0
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
lp: driver loaded but no devices found
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
md: md0 stopped.
md: bind<sdb1>
md: bind<sdc1>
md: bind<sdd1>
md: bind<sda1>
raid5: automatically using best checksumming function: pIII_sse
   pIII_sse  :  2039.000 MB/sec
raid5: using function: pIII_sse (2039.000 MB/sec)
md: raid5 personality registered for level 5
md: raid4 personality registered for level 4
raid5: device sda1 operational as raid disk 0
raid5: device sdd1 operational as raid disk 3
raid5: device sdc1 operational as raid disk 2
raid5: device sdb1 operational as raid disk 1
raid5: allocated 4207kB for md0
raid5: raid level 5 set md0 active with 4 out of 4 devices, algorithm 2
RAID5 conf printout:
 --- rd:4 wd:4 fd:0
 disk 0, o:1, dev:sda1
 disk 1, o:1, dev:sdb1
 disk 2, o:1, dev:sdc1
 disk 3, o:1, dev:sdd1
md: md1 stopped.
md: bind<sdf1>
md: bind<sdg1>
md: bind<sdh1>
md: bind<sde1>
raid5: device sde1 operational as raid disk 0
raid5: device sdh1 operational as raid disk 3
raid5: device sdg1 operational as raid disk 2
raid5: device sdf1 operational as raid disk 1
raid5: allocated 4207kB for md1
raid5: raid level 5 set md1 active with 4 out of 4 devices, algorithm 2
RAID5 conf printout:
 --- rd:4 wd:4 fd:0
 disk 0, o:1, dev:sde1
 disk 1, o:1, dev:sdf1
 disk 2, o:1, dev:sdg1
 disk 3, o:1, dev:sdh1
device-mapper: 4.6.0-ioctl (2006-02-17) initialised: dm-devel@redhat.com
EXT3 FS on hda2, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda5, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda6, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 2048276k swap on /dev/hda3.  Priority:-1 extents:1 across:2048276k
eth0: Setting full-duplex based on MII#1 link partner capability of 45e1.
eth1: Setting full-duplex based on MII#1 link partner capability of 41e1.
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
IPv6 over IPv4 tunneling driver
eth0: no IPv6 routers present
eth1: no IPv6 routers present
Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state recovery directory
NFSD: unable to find recovery directory /var/lib/nfs/v4recovery
NFSD: starting 90-second grace period
warning: process `update' used the obsolete bdflush system call
Fix your initscripts?
warning: process `update' used the obsolete bdflush system call
Fix your initscripts?
eth0: Promiscuous mode enabled.
device eth0 entered promiscuous mode
audit(1162803743.499:2): dev=eth0 prom=256 old_prom=0 auid=4294967295
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hdb1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3-fs warning: maximal mount count reached, running e2fsck is recommended
EXT3 FS on hdb2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3-fs warning: maximal mount count reached, running e2fsck is recommended
EXT3 FS on hdb5, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3-fs warning: maximal mount count reached, running e2fsck is recommended
EXT3 FS on hdb6, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
device eth0 left promiscuous mode
audit(1162890154.484:3): dev=eth0 prom=0 old_prom=256 auid=4294967295
eth0: Promiscuous mode enabled.
device eth0 entered promiscuous mode
audit(1162890154.848:4): dev=eth0 prom=256 old_prom=0 auid=4294967295



lsmod
Module                  Size  Used by
loop                   20297  0
nls_utf8                6337  3
cifs                  217969  3
nfsd                  227921  17
exportfs               10049  1 nfsd
lockd                  66505  2 nfsd
nfs_acl                 7873  1 nfsd
sunrpc                162173  12 nfsd,lockd,nfs_acl
ipv6                  265057  33
dm_mirror              27281  0
dm_mod                 64729  1 dm_mirror
raid5                  37569  2
xor                    19529  1 raid5
lp                     17033  0
parport_pc             31205  0
parport                41225  2 lp,parport_pc
floppy                 62789  0
sg                     38493  0
tulip                  54241  0
serio_raw              11589  0
i2c_i801               12749  0
i2c_core               26305  1 i2c_i801
ext3                  135369  4
jbd                    62549  1 ext3
BusLogic               72117  8
sd_mod                 24385  16
scsi_mod              140009  3 sg,BusLogic,sd_mod

Comment 13 Steve French 2006-12-08 14:13:10 EST
Is there any way if the content looks recognizable of the two list items he
refers to:

> list_del corruption. prev->next should be f47fb640, but was 8094e480


Presumably this cache_reap code is clearing per-cpu cache that has nothing to do
with cifs - but it is baffling who is corrupting this list.
Comment 14 Curt Fiene 2006-12-21 11:27:29 EST
Anything new on this bug?  I didn't see anything on the changelog for
kernel kernel-2.6.18-1.2257, that might suggest this was resolved.
Comment 15 Curt Fiene 2007-01-24 10:20:02 EST
Would upgrading to FC6 possibly fix this problem?
I'm somewhat worried that if I upgrade, and the problem still exists
in the FC6 kernel.  I might not beable to successfully roll back to
one that is working.

Please advise.
Comment 16 Curt Fiene 2007-03-28 16:08:36 EDT
This appears to have been part of the corruption bug that was fixed as 
a part of kernel 2.6.20, see  http://kerneltrap.org/node/7534

upgrading to 2.6.20-1.2300.fc5smp seems to have taken care of it.

Note You need to log in before you can comment on or make changes to this bug.